Leaderboard v2

This endpoint returns the Leaderboard for the specified date range (see Enact's leaderboard page).

To request data for a single day, set the from and to fields of the request body equal to each other.


Using the LCPDelta Python Package (version 2.0.0 and later)

Synchronous

from lcp_delta import enact
from datetime import date
 
enact_api_helper = enact.APIHelper(username, public_api_key)
 
# see 'BODY PARAMS' section below for details on corresponding parameter values
response_dataframe = enact_api_helper.get_leaderboard_data(
  date(2023,6,21),
  date(2023,6,23),
  "Plant", # leaderboard type ("Plant", "Owner" or "Optimiser")
  "Pound", # revenue metric
  "WeightedAverageDayAheadPrice", # market price assumption
  "DayAheadForward", # gas price assumption
  False, # whether to include capacity market revenues,
  "FrequencyAndReserve", # aggregate option for ancillary profits ("FrequencyAndReserve", "ByProduct", "ByDirection")
  False, # whether to group DC, DR, and DL profits will be grouped into "Dx"
  None, # aggregation option ("Day", "Week", "Month"), defaults to None
  False, # whether to show fuel types of co-located assets
  False, # Whether the availability of the plant is taken into account when normalising the revenues
  ['Battery'], # Fuels to include
  False, # whether to include imbalance payments for non-BM and secondary BMUs
  False, # whether to include estimated charging/discharging costs for non-BM and secondary BMUs
  False, # whether to include estimated wholesale revenue for BM (No FPN) assets
  "IntradayPrice", # price assumption using for the estimated charging/discharging costs of non-BM and secondary BMUs
  "PreviousEFABlock", #The charging cost assumption used for the estimated charging/discharging costs for non-BM and secondary BMUs
  "Show", # whether to show, ignore or absorb BM Non-Delivery charges
  "Show", # whether to show, ignore or absorb Reserve penalties
  True, # whether to include or ignore co-located assets
)
 
print(response_dataframe)

Asynchronous

from lcp_delta import enact
from datetime import date
import asyncio
 
async def main():
  enact_api_helper = enact.APIHelper(username, public_api_key)

 # See 'BODY PARAMS' section below for details on corresponding parameter values
    response_dataframe = await enact_api_helper.get_leaderboard_data_async(
      date(2023,6,21),
      date(2023,6,23),
      "Plant", # leaderboard type ("Plant", "Owner" or "Optimiser")
      "Pound", # revenue metric
      "WeightedAverageDayAheadPrice", # market price assumption
      "DayAheadForward", # gas price assumption
      False, # whether to include capacity market revenues,
      "FrequencyAndReserve", # aggregate option for ancillary profits ("FrequencyAndReserve", "ByProduct", "ByDirection")
      False, # whether to group DC, DR, and DL profits will be grouped into "Dx"
      None, # aggregation option ("Day", "Week", "Month"), defaults to None
      False, # whether to show fuel types of co-located assets
      False, # Whether the availability of the plant is taken into account when normalising the revenues
      ['Battery'], # Fuels to include
      False, # whether to include imbalance payments for non-BM and secondary BMUs
      False, # whether to include estimated charging/discharging costs for non-BM and secondary BMUs
      False, # whether to include estimated wholesale revenue for BM (No FPN) assets
      "IntradayPrice", # price assumption using for the estimated charging/discharging costs of non-BM and secondary BMUs
      "PreviousEFABlock", #The charging cost assumption used for the estimated charging/discharging costs for non-BM and secondary BMUs
      "Show", # whether to show, ignore or absorb BM Non-Delivery charges	
      "Show", # whether to show, ignore or absorb Reserve penalties
      True, # whether to include or ignore co-located assets
    )

print(response_dataframe)
 
asyncio.run(main())

Using the API Directly

Body Params
date-time
required
Defaults to 2023-06-21T00:00:00Z

The start of the date range to request for.

date-time
required
Defaults to 2023-06-23T00:00:00Z

The end of the date range to request for.

string
Defaults to Plant

The type of leaderboard to be requested; 'Plant' (default), 'Owner' or 'Optimiser'.

string
Defaults to Pound

The unit which revenues will be measured in for the leaderboard; 'PoundPerMwPerH' (default) or 'Pound'.  The values 'PoundPerKwPerYear', 'PoundPerMw', 'PoundPerMwh', 'PoundPerMwhPerH', 'PoundPerCycle' or 'PoundPerThroughput' can also be used depending on the leaderboard type.

string
Defaults to WeightedAverageDayAheadPrice

The price assumption for wholesale revenues on the leaderboard; 'WeightedAverageDayAheadPrice' (default), 'EpexDayAheadPrice', 'NordpoolDayAheadPrice', 'IntradayPrice' or 'BestPrice'.

string
Defaults to DayAheadForward

The gas price assumption used to calculate running costs for unit profit on the leaderboard; 'DayAheadForward' (default), 'DayAheadSpot', 'WithinDaySpot' or 'CheapestPrice'.

boolean
Defaults to false

Changes whether or not the capacity market revenue column is shown. If set to false, the capacity market revenues will not be included in the net revenues.

string
Defaults to ByProduct

The aggregation option for ancillary profits. Options are: "FrequencyAndReserve", "ByProduct", and "ByDirection"."

boolean
Defaults to false

When set to true, DC, DR, and DL profits will be grouped into 'Dx'.

string
Defaults to None

Aggregation level ("Day", "Week", "Month"). For the given date range, data is aggregated by the specified period (e.g., "Month" splits the original date range into months creating rows in the dataframe for each month). An aggregate column indicates the start date of each aggregation.

boolean
Defaults to false

When set to true, a column will show the fuel types of co-located plants

boolean
Defaults to false

When set to true, the availability of the plant is taken into account when normalising the revenues

fuels
array of strings

This must be removed (to get all fuels), or in the format ["Battery", "CCGT", "Hydro"]

fuels
boolean
Defaults to false

Include or exclude imbalance payments for non-BM and secondary BMUs

boolean
Defaults to false

Include or exclude estimated charging/discharging costs for non-BM and secondary BMUs

boolean
Defaults to false

Include or exclude estimated wholesale revenue for BM (No FPN) assets

string
Defaults to IntradayPrice

The price assumption using for the estimated charging/discharging costs of non-BM and secondary BMUs. Options are: 'WeightedAverageDayAheadPrice', 'EpexDayAheadPrice', 'NordpoolDayAheadPrice', 'IntradayPrice' (default) or 'SystemPrice'

string
Defaults to PreviousEFABlock

The charging cost assumption used for the estimated charging/discharging costs for non-BM and secondary BMUs. Options are: 'PreviousEFABlock' (default), 'OptimalPricePrev12Hours' and 'CurrentSp'

string
Defaults to Show

The option for showing BM Non-Delivery charges. Options are: "Show" (default), "Ignore", and "Absorb".

string
Defaults to Show

The option for showing Reserve penalties. Options are: "Show" (default), "Ignore", and "Absorb".

boolean
Defaults to true

Include or exclude co-located assets

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json